Get Recommended Products
1 min
GET
https://api.us1.odp.optimizely.com/v3/recommendations/products
{identifier}=identifier_valuestring<p>The identifier type and its value. Acceptable identifier types include: <code>vuid</code>, <code>email</code>, <code>zaiusalias</code>, and <code>customer_id</code>.</p>
product_idsstring<p>A comma-separated list of product IDs. Using the <code>product_ids</code> parameter allows you to generate recommended products based on the product IDs passed in.</p>
typestring<p>The type of recommendation requested. Acceptable values are: <code>personal</code> and <code>contextual</code>.</p>
criteriaobjectFilter criteria applied to the recommendations returned. you can use any field on the product schema to filter. See above for the filter construct.
sort_bystring<p>Product field to sort by, which can be any base or custom field defined in your Product schema. Default sort is highest to lowest recommendation rank. Changing this will not change which products are returned, only the order in which they display in the array.</p>
orderstring<p>Options are <code>asc</code> and <code>desc</code>. Order in which to sort the resulting products. Changing this will not change which products are returned, only the order in which they display in the array. This will not change the order of products if there is no sort specified.</p>
limitstringThe number of products to return. Must be an integer value from 1 to 100. Default is 10.
acceptstringGenerated from available response content types
200OK
400Bad Request
403Forbidden
curl --request GET \
--url 'https://api.us1.odp.optimizely.com/v3/recommendations/products?criteria=object&order=asc&limit=10' \
--header 'accept: application/json'